Invoices
The invoice details which includes all information of the invoice like items, billing information.
The ID of the invoice.
The parent ID to an invoice that defines the group invoice to which the invoice is related.
The status of the invoice.
An array of one or more CC: emails to which notifications are sent. If you omit this parameter, a notification is sent to all CC: email addresses that are part of the invoice.Note: Valid values are email addresses in the additional_recipients value associated with the invoice.
The invoice object
- : For Reading the invoice details.
Oauth 2.0 authentication
The page number to be retrieved, for the list of templates. So, a combination of page=1 and page_size=20 returns the first 20 templates. A combination of page=2 and page_size=20 returns the next 20 templates.
1The maximum number of templates to return in the response.
20Indicates whether the to show total_pages and total_items in the response.
falseThe fields to return in the response. Value is all or none. To return only the template name, ID, and default attributes, specify none.
allPattern: (?i)^(all|none)$A successful request returns the HTTP 200 OK status code and a JSON response body that lists invoices with details.
An array of merchant invoices. Includes the total invoices count and HATEOAS links for navigation.
The total number of pages that are available for the search criteria. Note: Clients MUST NOT assume that the value of total_pages is constant. The value MAY change from one request to the next
The total number of invoices that match the search criteria.Note: Clients MUST NOT assume that the value of total_items is constant. The value MAY change from one request to the next.
Invalid request.
Authorization Error.
The default response.
- : For managing (Create, Update, Delete) invoice.
Oauth 2.0 authentication
The invoice details which includes all information of the invoice like items, billing information.
The ID of the invoice.
The parent ID to an invoice that defines the group invoice to which the invoice is related.
The status of the invoice.
An array of one or more CC: emails to which notifications are sent. If you omit this parameter, a notification is sent to all CC: email addresses that are part of the invoice.Note: Valid values are email addresses in the additional_recipients value associated with the invoice.
A successful request returns the HTTP 201 Created status code. A JSON response body that shows invoice details is returned if you set prefer=return=representation.
Invalid request.
Authorization Error.
Unprocessable Entity.
The default response.
- : For managing (Create, Update, Delete) invoice.
Oauth 2.0 authentication
The ID of the draft invoice to delete.
The email or SMS notification to send to the invoicer or payer on sending an invoice.
The subject of the email that is sent as a notification to the recipient.
A note to the payer.
Indicates whether to send a copy of the email to the merchant.
falseIndicates whether to send a copy of the email to the recipient.
trueAn array of one or more CC: emails to which notifications are sent. If you omit this parameter, a notification is sent to all CC: email addresses that are part of the invoice.Note: Valid values are email addresses in the additional_recipients value associated with the invoice.
A successful request returns the HTTP 200 OK when the invoice issue date is current date.
The request-related HATEOAS link information.
The complete target URL. To make the related call, combine the method with this URI Template-formatted link. For pre-processing, include the $, (, and ) characters. The href is the key HATEOAS component that links a completed call with a subsequent call.
The link relation type, which serves as an ID for a link that unambiguously describes the semantics of the link. See Link Relations.
The HTTP method required to make the related call.
A successful request returns the HTTP 202 Accepted status code with no JSON response body, when the invoice issue date is in future.
Invalid request.
Authorization Error.
Resource Not Found.
Unprocessable Entity.
The default response.
- : For managing (Create, Update, Delete) invoice.
Oauth 2.0 authentication
The ID of the draft invoice to delete.
The email or SMS notification to send to the invoicer or payer on sending an invoice.
The subject of the email that is sent as a notification to the recipient.
A note to the payer.
Indicates whether to send a copy of the email to the merchant.
falseIndicates whether to send a copy of the email to the recipient.
trueAn array of one or more CC: emails to which notifications are sent. If you omit this parameter, a notification is sent to all CC: email addresses that are part of the invoice.Note: Valid values are email addresses in the additional_recipients value associated with the invoice.
A successful request returns the HTTP 204 No Content status code with no JSON response body.
Invalid request.
Authorization Error.
Resource Not Found.
Unprocessable Entity.
The default response.
No content
- : For managing (Create, Update, Delete) invoice.
Oauth 2.0 authentication
The ID of the draft invoice to delete.
The email or SMS notification to send to the invoicer or payer on sending an invoice.
The subject of the email that is sent as a notification to the recipient.
A note to the payer.
Indicates whether to send a copy of the email to the merchant.
falseIndicates whether to send a copy of the email to the recipient.
trueAn array of one or more CC: emails to which notifications are sent. If you omit this parameter, a notification is sent to all CC: email addresses that are part of the invoice.Note: Valid values are email addresses in the additional_recipients value associated with the invoice.
A successful request returns the HTTP 204 No Content status code with no JSON response body.
Invalid request.
Authorization Error.
Resource Not Found.
Unprocessable Entity.
The default response.
No content
- : For managing (Create, Update, Delete) invoice.
Oauth 2.0 authentication
The ID of the draft invoice to delete.
The payment details of the invoice. Includes payment type, method, date, discount, and transaction type.
The payment type in an invoicing flow which can be PayPal or an external cash or check payment.
The ID for a PayPal payment transaction. Required for the PAYPAL payment type.
The date when the invoice was paid, in Internet date and time format. For example, yyyy-MM-dd z.
^[0-9]{4}-(0[1-9]|1[0-2])-(0[1-9]|[1-2][0-9]|3[0-1])$The payment mode or method through which the invoicer can accept the payment.
A note associated with an external cash or check payment.
A successful request returns the HTTP 200 Created status code and a reference to the recorded payment.
The reference to the payment detail.
The ID for the invoice payment.
Invalid request.
Authorization Error.
Resource Not Found.
Unprocessable Entity.
The default response.
- : For managing (Create, Update, Delete) invoice.
Oauth 2.0 authentication
The ID of the draft invoice to delete.
The ID of the external refund transaction to delete.
A successful request returns the HTTP 204 No Content status code with no JSON response body.
Authorization Error.
Resource Not Found.
Unprocessable Entity.
The default response.
No content
- : For managing (Create, Update, Delete) invoice.
Oauth 2.0 authentication
The ID of the draft invoice to delete.
The refund details of the invoice. Includes the refund type, date, amount, and method.
The PayPal refund type. Indicates whether the refund was paid through PayPal or externally in the invoicing flow. The record refund method supports the EXTERNAL refund type. The PAYPAL refund type is supported for backward compatibility.
The ID for a PayPal payment transaction. Required for the PAYPAL payment type.
The date when the invoice was refunded, in Internet date format. For example, 2014-02-27.
^[0-9]{4}-(0[1-9]|1[0-2])-(0[1-9]|[1-2][0-9]|3[0-1])$The payment mode or method through which the invoicer can accept the payments.
A successful request returns the HTTP 200 Created status code and a reference to the recorded refund.
The reference to the refund payment detail.
The ID of the refund of an invoice payment.
Invalid request.
Authorization Error.
Resource Not Found.
Unprocessable Entity.
The default response.
- : For managing (Create, Update, Delete) invoice.
Oauth 2.0 authentication
The ID of the draft invoice to delete.
The ID of the external refund transaction to delete.
A successful request returns the HTTP 204 No Content status code with no JSON response body.
Authorization Error.
Resource Not Found.
The default response.
No content
- : For managing (Create, Update, Delete) invoice.
Oauth 2.0 authentication
The ID of the draft invoice to delete.
The configuration for a QR code.
The width, in pixels, of the QR code image. Value is from 150 to 500.
500The height, in pixels, of the QR code image. Value is from 150 to 500.
500The type of URL for which to generate a QR code. Valid values are pay and details.
payPattern: (?i)^(pay|details)$A successful request returns the HTTP 200 OK status code and a JSON response body that shows the QR code as a PNG image.
No content
Invalid request.
Authorization Error.
Resource Not Found.
The default response.
No content
- : For managing (Create, Update, Delete) invoice.
Oauth 2.0 authentication
A successful request returns the HTTP 200 OK status code and a JSON response body that shows the next invoice number.
The invoice number.
The invoice number. If you omit this value, the default is the auto-incremented number from the last number.
Authorization Error.
The default response.
- : For Reading the invoice details.
Oauth 2.0 authentication
The ID of the draft invoice to delete.
A successful request returns the HTTP 200 OK status code and a JSON response body that shows invoice details.
The invoice details which includes all information of the invoice like items, billing information.
The ID of the invoice.
The parent ID to an invoice that defines the group invoice to which the invoice is related.
The status of the invoice.
An array of one or more CC: emails to which notifications are sent. If you omit this parameter, a notification is sent to all CC: email addresses that are part of the invoice.Note: Valid values are email addresses in the additional_recipients value associated with the invoice.
Invalid request.
Authorization Error.
Resource Not Found.
Unprocessable Entity.
The default response.
- : For managing (Create, Update, Delete) invoice.
Oauth 2.0 authentication
The ID of the draft invoice to delete.
Indicates whether to send the invoice update notification to the recipient.
trueIndicates whether to send the invoice update notification to the merchant.
trueThe invoice details which includes all information of the invoice like items, billing information.
The ID of the invoice.
The parent ID to an invoice that defines the group invoice to which the invoice is related.
The status of the invoice.
An array of one or more CC: emails to which notifications are sent. If you omit this parameter, a notification is sent to all CC: email addresses that are part of the invoice.Note: Valid values are email addresses in the additional_recipients value associated with the invoice.
A successful request returns the HTTP 200 OK status code. A JSON response body that shows invoice details is returned if you set prefer=return=representation.
The invoice details which includes all information of the invoice like items, billing information.
The ID of the invoice.
The parent ID to an invoice that defines the group invoice to which the invoice is related.
The status of the invoice.
An array of one or more CC: emails to which notifications are sent. If you omit this parameter, a notification is sent to all CC: email addresses that are part of the invoice.Note: Valid values are email addresses in the additional_recipients value associated with the invoice.
Invalid request.
Authorization Error.
Resource Not Found.
Unprocessable Entity.
The default response.
- : For managing (Create, Update, Delete) invoice.
Oauth 2.0 authentication
The ID of the draft invoice to delete.
A successful request returns the HTTP 204 No Content status code with no JSON response body.
Invalid request.
Authorization Error.
Resource Not Found.
The default response.
No content
Last updated
Was this helpful?

